# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> perl-JSON (JSON)

SMEServer Koozali local git repo for perl-JSON

## Documentation
https://metacpan.org/pod/JSON

## Bugs
CPAN bug report are [here](https://rt.cpan.org/Public/Dist/Display.html?Name=JSON)

Show list of Koozali outstanding bugs: [here](https://bugs.koozali.org/buglist.cgi?component=perl-JSON&product=SME%20Server%2011.X&query_format=advanced&limit=0&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=CONFIRMED)

## Description
This module is a thin wrapper for JSON::XS-compatible modules with a few
additional features. All the backend modules convert a Perl data structure
to a JSON text and vice versa. This module uses JSON::XS by default, and
when JSON::XS is not available, falls back on JSON::PP, which is in the
Perl core since 5.14. If JSON::PP is not available either, this module
then falls back on JSON::backportPP (which is actually JSON::PP in a
different .pm file) bundled in the same distribution as this module. You
can also explicitly specify to use Cpanel::JSON::XS, a fork of JSON::XS by
Reini Urban.
